Subject: XFS partition could not be created on NVMe disk via parted command

From: Hossein Ojani <[email-masked]>
Date: Fri, 29 Apr 2022 09:12:25 -0400

Hi Team,

I am writing this email to you because of an error that I've been
encountering using parted command on a NVMe disk.

Using an Ubuntu 20.04 dist, I've been trying to create partitions on a NVMe
disk though I see errors. Below I will put just one of the conditions that
I've faced errors, but there are several.

(parted) print free
Model: NVMe Device (nvme)
Disk /dev/nvme0n1: 5369MB
Sector size (logical/physical): 512B/512B
Partition Table: msdos
Disk Flags:

Number  Start   End     Size    Type     File system  Flags
        0.00B   511B    512B             Free Space
 1      512B    1074MB  1074MB  primary               lvm
        1074MB  5369MB  4295MB           Free Space

*(parted) mkpart extended xfs 1074MB 1574MB *
Error: Invalid number.

However, the same action could be done if the File-System is not mentioned
in the command:

*(parted) mkpart extended 1074MB 1574MB*
(parted) print
Model: NVMe Device (nvme)
Disk /dev/nvme0n1: 5369MB
Sector size (logical/physical): 512B/512B
Partition Table: msdos
Disk Flags:

Number  Start   End     Size    Type      File system  Flags
 1      512B    1074MB  1074MB  primary                lvm
 2      1074MB  1574MB  500MB   extended               lba

It seems the command only denies using XFS File System as it does accept
other partitions as below:

(parted) mkpart primary ext4 1575MB 1774MB
(parted) print
Model: NVMe Device (nvme)
Disk /dev/nvme0n1: 5369MB
Sector size (logical/physical): 512B/512B
Partition Table: msdos
Disk Flags:

Number  Start   End     Size    Type     File system  Flags
 1      512B    1074MB  1074MB  primary               lvm
 2      1074MB  1574MB  500MB   primary               lba
 3      1575MB  1774MB  199MB   primary  ext4         lba

Would you please check the case as I observed the same question in some
relevant forums?
I am looking forward to hearing from you.

Yours sincerely,
Hossein Ojani